## nufw 2.2.11

=== doc/diagram/Makefile ===
png:
	dia -t png *.dia
