## nufw 1.0-2ubuntu1

=== debian/changelog ===
nufw (1.0-2ubuntu1) breezy; urgency=low

  * Clean up references to (optional) sa_restorer.  Closes: #307210

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 14 Sep 2005 20:10:21 -0600

nufw (1.0-2) unstable; urgency=low

  * Improve the description.
  (closes: #299516)
  * Remove the translation mark from untranslatable strings in debconf
    templates.
  (closes: #299274)
  * Add fr nufw debconf templates translation.
  (closes: #300350)
  * Add pt_BR nufw debconf templates translation.
  (closes: #302755)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Mon,  4 Apr 2005 22:54:37 +0200

nufw (1.0-1) unstable; urgency=low

  * New upstream release.
  * Add --with-system-auth to configure in debian/rules to support PAM+NSS
    authentication.
  * Add --with-ldap to support LDAP directory for users and acl lookup.
  * Add --with-gdbm to support gdbm users lookup.
  * Add --with-ident to support support ident users authentication.
  * Add libgcrypt11-dev, libgnutls11-dev, libident-dev, libpam-dev to
    Build-Depends.
  * Add postrm and preinst for nuauth.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Tue, 22 Feb 2005 22:53:22 +0100

nufw (0.8.5-3) unstable; urgency=low

  * Change debian/copyright to reflect changes made by upstreams to the
    license.
  * Initial upload in Debian. Thanks to Vincent Deffontaines for packaging the
    package before me.
  (closes: #258746)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Mon, 20 Dec 2004 22:23:16 +0100

nufw (0.8.5-1) unstable; urgency=low

  * New upstream release.
  * Upstream add an exception to the GPL which allows linking with OpenSSL.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Wed,  1 Sep 2004 23:03:10 +0200

nufw (0.8.2-1) unstable; urgency=low

  * Update Description in debian/control. Thanks to Brandon Robinson.
  * Switch to gettext for the debconf templates.
  * Change the way of packaging.
  * Correct minor policy violations.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Fri, 30 Jul 2004 13:41:25 +0200

nufw (0.8.1-1) unstable; urgency=low

  * New upstream version. Adds a paquet for libnuclient, the client
  authentication library.

 -- Vincent Deffontaines <vincent@gryzor.com>  Mon,  19 Jul 2004 21:23:13 +0200

nufw (0.8.0-1) unstable; urgency=low

  * New upstream version. Adds the strict logs update option, together with
    some scaling bugfix, that would cause nuauth to grow heavily on some
    particular [DoS] conditions.

 -- Vincent Deffontaines <vincent@gryzor.com>  Mon,  5 Jul 2004 21:23:13 +0200

nufw (0.7.1-1) unstable; urgency=low

  * New upstream version. Fixes some bug that would rarely memleak nuauth.
    Adds the SQL sync option.

 -- Vincent Deffontaines <vincent@gryzor.com>  Fri, 11 Jun 2004 18:08:19 +0200

nufw (0.7.0-1) unstable; urgency=low

  * New upstream version. 0.7.0 is the first release with SSL connections all
    the way.

 -- Vincent Deffontaines <vincent@gryzor.com>  Tue, 30 Mar 2004 21:18:37 +0200

nufw (0.6.5-1) unstable; urgency=low

  * New upstream version

 -- Vincent Deffontaines <vincent@gryzor.com>  Sun, 14 Mar 2004 18:52:38 +0100

nufw (0.6.4-1) unstable; urgency=low

  * New upstream version
  * Splitted debian nuauth packages into 3, so that modules support is ...
    modular

 -- Vincent Deffontaines <vincent@gryzor.com>  Wed,  7 Jan 2004 23:49:34 +0100

nufw (0.6.3-1) unstable; urgency=low

  * Nesw upstream version

 -- Vincent Deffontaines <vincent@gryzor.com>  Wed,  7 Jan 2004 00:33:47 +0100

nufw (0.6.2-1) unstable; urgency=low

  * Upstream changed to 0.6.2

 -- Vincent Deffontaines <vincent@gryzor.com>  Sun,  4 Jan 2004 23:42:57 +0100

nufw (0.6.1-1) unstable; urgency=low

  * Upstream changed to 0.6.1

 -- Vincent Deffontaines <vincent@gryzor.com>  Mon, 22 Dec 2003 15:55:24 +0100

nufw (0.5.4-1) unstable; urgency=low

  * Initial Release.

 -- Vincent Deffontaines <vincent@gryzor.com>  Thu, 13 Nov 2003 13:03:54 +0100
