=== debian/control ===
Source: nufw
Section: net
Priority: optional
Maintainer: Jean-Michel Kelbert <kelbert@debian.org> 
Build-Depends: debhelper (>= 4.1.16),po-debconf, automake1.9, libldap2-dev, libgdbm-dev, libglib2.0-dev, libmysqlclient-dev, postgresql-dev, iptables-dev, libtool, libident-dev, libgnutls11-dev, libsasl2-dev, libpam0g-dev
Standards-Version: 3.6.0

Package: nufw
Architecture: any
Depends: ${shlibs:Depends}, debconf
Description: Per-user firewalling daemon that interfaces with libipq
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 Nufw is the daemon that receives some network packets through the QUEUE
 netfilter rule.  Informations about those packets are forwarded to the 
 nuauth daemon, which decides if packets should be accepted or denied, 
 sends back the information to Nufw that applies decisions.

Package: nuauth
Architecture: any
Depends: ${shlibs:Depends}, debconf, libsasl2-modules
Recommends: nuauth-utils
Description: The authentication daemon from the nufw package
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 Nuauth lays on a user database, and an ACL system (which can reside in an LDAP
 directory, or XML/DBM solutions, etc.
 Nuauth receives requests from nufw, and auth packets from users' clients,
 and sends decision to the nufw daemon.

Package: nuauth-extra
Architecture: any
Depends: ${shlibs:Depends}, debconf, nuauth
Recommends: nuauth-utils
Description: The authentication daemon from the nufw package
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 Nuauth lays on a user database, and an ACL system (which can reside in an LDAP
 directory, or XML/DBM solutions, etc.
 Nuauth receives requests from nufw, and auth packets from users' clients,
 and sends decision to the nufw daemon.
 .
 Nuauth-extra provides extra modules for nuauth.

Package: nuauth-log-mysql
Architecture: any
Depends: ${shlibs:Depends}, debconf, nuauth
Conflicts: nuauth-log-pgsql
Recommends: nuauth-utils
Description: Module for nuauth logging into mysql databases
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 This package adds support for nuauth logging users activity into a Mysql
 database. You can use this for an SSO solution, too.

Package: nuauth-log-pgsql
Architecture: any
Depends: ${shlibs:Depends}, debconf, nuauth
Conflicts: nuauth-log-mysql
Recommends: nuauth-utils
Description: Module for nuauth logging into PostgreSQL databases
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 This package adds support for nuauth logging users activity into a postgreSQL
 database. You can use this for an SSO solution, too.

Package: nutcpc
Architecture: any
Depends: ${shlibs:Depends}
Description: a linux client for the nufw authentication gateway system
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 nutcpc is the GNU/Linux client for the nufw authentication gateway.
 when network traffic leaves the machine, nutcpc deals with it and sends
 authenticating data to the nuauth server.

Package: nuauth-utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Set of tools useful to nuauth admin
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 nuaclgen is a perl script that helps generate LDAP ACLs for use with nuauth,
 the nufw auth daemon.

Package: libnuclient
Architecture: any
Depends: ${shlibs:Depends}, libsasl2-modules
Description: client library for nufw authentication
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 This library provides a convenient system to build NuFW authentication client.
