## nufw 2.0.9-5.2ubuntu2

=== debian/changelog ===
nufw (2.0.9-5.2ubuntu2) feisty; urgency=low

  * debian/control: Change obsolete build dependency postgresql-dev to
    libpq-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  5 Feb 2007 11:23:18 +0100

nufw (2.0.9-5.2ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Switch to using Type: boolean instead of Type: select for some
      questions in nuauth.

 -- Albin Tonnerre <lut1n.tne@gmail.com>  Thu, 01 Feb 2007 22:24:48 +0000

nufw (2.0.9-5.2) unstable; urgency=high

  * Non-maintainer upload.
  * Added nauth: missing pre-dep on passwd (Closes: #408269)
    - added pre-dep on adduser too, since it uses adduser in preinst
  * Urgency high due RCness

 -- Bastian Venthur <venthur@debian.org>  Thu,  1 Feb 2007 11:54:30 +0100

nufw (2.0.9-5.1ubuntu1) feisty; urgency=low

  * Merge from Debian unstable.
  * Ubuntu changes remaining:
    - Switch to using Type: boolean instead of Type: select for some
      questions in nuauth.
    - Add adduser to nuauth's Pre-Depends, since adduser is called in the 
      preinst.  
  * Ubuntu changes dropped:
    - Remove debian/nuauth.conffiles.
    - Add debconf-updatepo to the clean target in debian/rules.
  
 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 19 Dec 2006 14:38:44 +1100

nufw (2.0.9-5.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Add debconf-updatepo to the clean target in debian/rules
    Closes: #349839
  * add the nufw20.templates and nuauth20.templates files to
    debian/po/POTFILES.in so that these files are translated too
  * General rewrite of the debconf templates in a desperate attempt to
    have them DevRef compliant, remove untranslatable strings and,
    unfortunately, drive translators crazy. Closes: #361423
  * Fix typo in the package description. Closes: #390090
  * Lintian fixes:
    - Remove redundant declaration of conffiles in /etc. Closes: #356772
  * Debconf translation updates:
    - French updated
    - Czech updated. Closes: #345142
    - Swedish updated. Closes: #347608
    - German added. Sent during the call for updates for the NMU campaign.
    - Russian added. Sent during the call for updates for the NMU campaign.

 -- Christian Perrier <bubulle@debian.org>  Sun,  3 Dec 2006 12:14:00 +0100

nufw (2.0.9-5) unstable; urgency=low

  * One more patch for compilation on hppa.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sat,  2 Dec 2006 12:31:12 +0100

nufw (2.0.9-4) unstable; urgency=low

  * Apply a patch provided by upstream to compile on hppa. This time it should
    work !

 -- Jean-Michel Kelbert <kelbert@debian.org>  Tue, 28 Nov 2006 21:12:17 +0100

nufw (2.0.9-3ubuntu1) feisty; urgency=low

  * Merge from Debian unstable.
  * Ubuntu changes kept:
    - Switch to using Type: boolean instead of Type: select for some
      questions in nuauth.
    - Remove debian/nuauth.conffiles.
    - Add debconf-updatepo to the clean target in debian/rules.
  * Ubuntu changes dropped:
    - Add adduser to nuauth's dependencies.
    - Also correct a badly formed Template.
  * Add adduser to nuauth's Pre-Depends, since adduser is called in the 
    preinst.  

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 20 Nov 2006 20:09:08 +1100

nufw
(2.0.9-3) unstable; urgency=low

  * Apply a patch provided by upstream to compile on hppa.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Thu,  9 Nov 2006 21:41:03 +0100

nufw (2.0.9-2) unstable; urgency=low

  * Change copyright file to not include the entire GPL.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Wed,  1 Nov 2006 20:04:30 +0100

nufw (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Adapt packaging to version 2.
  * Many thanks to Vincent Deffontaines for its packaging.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Mon,  9 Oct 2006 21:58:20 +0200

nufw (1.0.23-1.1ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Tue, 22 Aug 2006 03:17:50 -0500

nufw (1.0.23-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Unbreak syntactically wrong debconf template, which caused problems
    during package installation. (Closes: #360581)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 16 Jul 2006 00:02:00 +0200

nufw (1.0.23-1ubuntu1) edgy; urgency=low

  * Switch to using Type: boolean instead of Type: select for some
    questions in nuauth.
  * Also correct a badly formed Template.
  * Remove debian/nuauth.conffiles.
  * Add debconf-updatepo to the clean target in debian/rules.
  * Add adduser to nuauth's dependencies.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 12 Jul 2006 14:00:28 +1000

nufw (1.0.23-1) unstable; urgency=low

  * New upstream release
  * Update debconf configuration to take care of new options.
  * Upgrade build depends to libmysqlclient15-dev
  (closes: #356719)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Thu, 30 Mar 2006 21:01:38 +0200

nufw (1.0.16-1) unstable; urgency=low

  * New upstream release. This is a security release. The NuFW team has
    identified a problem that could lead to Denial of Service from legitimate
    users of the authentication service.
    This has been assigned CVE-2005-3950.
  (closes: #341544)
  * Add debconf-updatepo in debian/rules.
  (closes: #329942)
  * Add debconf-2.0 as an alternate to debconf.
  (closes: #332049)
  * Use gnutls12 instead of gnutls11.
  (closes: #335769)
  * Update the French translation for debconf.
  (closes: #332575)
  * Add the Swedish translation for debconf.
  (closes: #336780)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Tue, 27 Dec 2005 17:04:58 +0100

nufw (1.0.13-1) unstable; urgency=low

  * New upstream release

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sun, 16 Oct 2005 18:12:39 +0200

nufw (1.0.11-1) unstable; urgency=low

  * Add the Vietnamese translation for debconf.
  (closes: #316322)
  * Add the French translation for debconf.
  (closes: #307763)
  * Add the Czech translation for debconf.
  (closes: #310700)


