=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Jean-Michel Kelbert <kelbert@debian.org> 
-Build-Depends: debhelper (>= 4.1.16),po-debconf, automake1.9, libldap2-dev, libgdbm-dev, libglib2.0-dev, libmysqlclient-dev, postgresql-dev, iptables-dev, libtool, libident-dev, libgnutls11-dev, libsasl2-dev, libpam0g-dev
+Build-Depends: debhelper (>= 4.1.16),po-debconf, automake1.9, libldap2-dev, libgdbm-dev, libglib2.0-dev, libmysqlclient-dev, libpq-dev, iptables-dev, libtool, libident-dev, libgnutls-dev, libsasl2-dev, libpam0g-dev
 Standards-Version: 3.6.0
 
 Package: nufw
 Architecture: any
-Depends: ${shlibs:Depends}, debconf
-Description: Per-user firewalling daemon that interfaces with libipq
+Depends: ${shlibs:Depends}, debconf, ssl-cert, openssl
+Description: a per-user firewalling daemon that interferes with libipq
  NuFW is an authenticating gateway, which means that connections are
  authenticated before being forwarded through the gateway.  Classical packet
  filtering systems disregard the identity of the user who may be attempting to
@@ -21,7 +21,8 @@
 
 Package: nuauth
 Architecture: any
-Depends: ${shlibs:Depends}, debconf, libsasl2-modules
+Pre-Depends: passwd, adduser
+Depends: ${shlibs:Depends}, debconf, libsasl2-modules, ssl-cert, openssl
 Recommends: nuauth-utils
 Description: The authentication daemon from the nufw package
  NuFW is an authenticating gateway, which means that connections are
@@ -114,3 +115,17 @@
  access the network, instead caring only about the originating IP addresses.
  .
  This library provides a convenient system to build NuFW authentication client.
+
+Package: libpam-nufw
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: Pluggable Authentication Module for nufw authentication
+ NuFW is an authenticating gateway, which means that connections are
+ authenticated before being forwarded through the gateway.  Classical packet
+ filtering systems disregard the identity of the user who may be attempting to
+ access the network, instead caring only about the originating IP addresses.
+ .
+ This module allows to open a client connection to the nufw authentication gateway.
+ When network traffic leaves the machine, it deals with it and sends
+ authenticating data to the nuauth server.
+
