=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,10 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --localstatedir=/var --sysconfdir=/etc/nufw/ --with-mysql-log --with-pgsql-log --with-system-auth --with-ldap --with-gdbm --with-ident
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
+		--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --localstatedir=/var \
+		--sysconfdir=/etc/nufw/ --with-mysql-log --with-pgsql-log --with-system-auth --with-ldap \
+		--with-gdbm --with-ident
 
 build: build-stamp
 
@@ -47,6 +50,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
+	debconf-updatepo
 
 	dh_clean 
 
@@ -60,14 +64,29 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
 	mkdir -p $(CURDIR)/debian/tmp/etc/nufw/
 
-	cp $(CURDIR)/conf/nuauth.conf $(CURDIR)/debian/tmp/etc/nufw/
+	sed -e "s^ *nuauth_tls_key=.*nuauth_tls_key=\"/etc/nufw/certs/nuauth-key.pem\"" \
+	    -e "s^ *nuauth_tls_cert=.*nuauth_tls_cert=\"/etc/nufw/certs/nuauth-cert.pem\"" \
+	    -e "s^ *plaintext_aclfile=.*plaintext_aclfile=\"/etc/nufw/acls.nufw\"" \
+	    -e "s^ *plaintext_userfile=.*plaintext_userfile=\"/etc/nufw/users-plaintext.nufw\"" \
+	     < $(CURDIR)/conf/nuauth.conf >$(CURDIR)/debian/tmp/etc/nufw/nuauth.conf
+	cp $(CURDIR)/conf/acls.nufw $(CURDIR)/debian/tmp/etc/nufw/
+	cp $(CURDIR)/conf/users-plaintext.nufw $(CURDIR)/debian/tmp/etc/nufw/
+	cp $(CURDIR)/conf/periods.xml $(CURDIR)/debian/tmp/etc/nufw/
 	cp $(CURDIR)/conf/nuaclgen.conf $(CURDIR)/debian/tmp/etc/nufw/
 	cp $(CURDIR)/conf/nutop.conf $(CURDIR)/debian/tmp/etc/nufw/
 	cp $(CURDIR)/scripts/nuaclgen $(CURDIR)/debian/tmp/usr/bin
 	cp $(CURDIR)/scripts/nutop $(CURDIR)/debian/tmp/usr/bin
+	cp $(CURDIR)/scripts/clean_conntrack.pl $(CURDIR)/debian/tmp/usr/sbin
+#default certificates
+#	cp $(CURDIR)/conf/certs/nufw-key.pem $(CURDIR)/debian/tmp/etc/nufw/certs
+#	cp $(CURDIR)/conf/certs/nufw-cert.pem $(CURDIR)/debian/tmp/etc/nufw/certs
+#	cp $(CURDIR)/conf/certs/nuauth-key.pem $(CURDIR)/debian/tmp/etc/nufw/certs
+#	cp $(CURDIR)/conf/certs/nuauth-cert.pem $(CURDIR)/debian/tmp/etc/nufw/certs
+	
 #	cp $(CURDIR)/conf/nufw.init $(CURDIR)/debian/tmp/etc/init.d/nufw
 #	cp $(CURDIR)/conf/nuauth $(CURDIR)/debian/tmp/etc/init.d/nuauth
 #	chmod 755 $(CURDIR)/debian/tmp/etc/init.d/*
+#	ln -s $(CURDIR)/debian/tmp/usr/lib/nuauth $(CURDIR)/debian/tmp/usr/lib/nuauth
 
 
 # Build architecture-independent files here.
@@ -88,7 +107,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_installinit --no-start -u"start 40 S . stop 89 0 6 ."
+	dh_installinit -u"start 40 2 3 4 5 . stop 89 0 1 6 ."
 #	dh_installcron
 #	dh_installinfo
 	dh_installman -pnufw doc/nufw.1
