## nufw 2.4.3

=== debian/changelog ===
nufw (2.4.3-3) unstable; urgency=low

  * Rewrite packaging files
    - Switch to DH 9
    - Enable all hardening flags
    - Enable multiarch
    - Add 10-fix-format-strings.patch
    - Add 11-fix-ftbfs-pthread_cancel.patch (Closes: #713731)
    - Switch to dh_python2 (Closes: #715300)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 08 Jul 2013 10:47:12 +0200

nufw (2.4.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "postinst deletes files from /usr/share/nuauth/":
    nuauth.postinst: use cp instead of mv in the replace_file function
    (Closes: #688249)
  * Fix "postinst deletes /usr/share/nufw/nufw.conf breaking package
    reconfiguration":
    nufw.postinst: use cp instead of mv in the replace_file function
    (Closes: #688615)

 -- gregor herrmann <gregoa@debian.org>  Sun, 30 Sep 2012 18:49:59 +0200

nufw (2.4.3-2.1) unstable; urgency=low

  [ Andreas Metzler ]
  * Stop shipping libtool la files in binary packages. (Closes: #591553)
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval

  [ Ondřej Surý ]
  * Non-maintainer upload.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 May 2011 08:55:37 +0200

nufw (2.4.3-2) unstable; urgency=low

  * Force linking against -lpthread to fix FTBFS with
    binutils-gold (Closes: #615757)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Feb 2011 11:31:39 +0100

nufw (2.4.3-1) unstable; urgency=low

  * Imported Upstream version 2.4.3
  * Set section for libpam-nufw to admin
  * Bump standards version to 3.9.1

 -- Pierre Chifflier <pollux@debian.org>  Tue, 17 Aug 2010 12:10:24 +0200

nufw (2.4.2-1) unstable; urgency=low

  * Imported Upstream version 2.4.2
  * Reapply upstream patch before merge

 -- Pierre Chifflier <pollux@debian.org>  Fri, 28 May 2010 07:57:17 +0200

nufw (2.4.1-1) unstable; urgency=high

  * Imported Upstream version 2.4.1
  * Fix bashism in init script (Closes: #581130)
  * Urgency high, serious bug (and release goal)
  * Revert upstream patch to support sub-CA, patch is specific to
    OpenSSL

 -- Pierre Chifflier <pollux@debian.org>  Mon, 17 May 2010 21:10:31 +0200

nufw (2.4.0-1) unstable; urgency=low

  * New upstream major version 2.4.0
  * Update watch file
  * Upload to unstable

 -- Pierre Chifflier <pollux@debian.org>  Wed, 03 Mar 2010 21:28:28 +0100

nufw (2.4.0~rc1-1) experimental; urgency=low

  * New upstream release: release condidate for new major version (2.4)
  * Add new binary packages libnussl1 and libnussl-dev
  * Rename libnuclient3 to libnuclient4 (API change)
  * Add to build-deps: flex, bison
  * Bump standards version to 3.8.3
  * Fix typo in description (Closes: #557564)
  * Remove nufw certificates on purge (Closes: #455117)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 20 Feb 2010 18:52:57 +0100

nufw (2.2.21-4) unstable; urgency=high

  * Fix FTBFS against gnutls26 >= 2.7.x (Closes: #529841)
    This required to run autogen.sh
  * Urgency high because of above bug
  * Update dependency on libmysqlclient-dev
  * Bump standards version to 3.8.2 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 15 Aug 2009 16:33:32 +0200

nufw (2.2.21-3) unstable; urgency=low

  * Apply patch from Jérôme Soyer:
  * Add more modules to nuauth:
    - mark_field
    - mark_flag
    - session_authtype
  * Add more modules to nuauth-extra:
    - script

 -- Pierre Chifflier <pollux@debian.org>  Tue, 10 Mar 2009 15:34:07 +0100

nufw (2.2.21-2) unstable; urgency=low

  * Upload to unstable

 -- Pierre Chifflier <pollux@debian.org>  Wed, 25 Feb 2009 12:03:36 +0100

nufw (2.2.21-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 04 Feb 2009 13:49:18 +0100

nufw (2.2.20-2) experimental; urgency=low

  * Add Homepage field (Closes: #511453)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 19 Jan 2009 11:08:20 +0100

nufw (2.2.20-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 10 Dec 2008 13:36:54 +0100

nufw (2.2.19-1) experimental; urgency=low

  * New upstream release
  * Upstream uses strict TLS checking mode by default. Use less
    strict, but easier to use configuration (see README.Debian)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 05 Dec 2008 10:21:05 +0100

nufw (2.2.15-3) unstable; urgency=low

  * Rewrite certificate generation code to use make-ssl-cert (Closes: #497778)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Sep 2008 13:49:00 +0200

nufw (2.2.15-2) unstable; urgency=high

  * Remove rpath to insecure location (Closes: #495769)
  * urgency=high because of RC bug
  * Add dependency on rpath
  * Bump standards version (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 25 Aug 2008 11:42:20 +0200

nufw (2.2.15-1) unstable; urgency=low

  * New upstream release
  * Rebuild with support for several python versions (Closes: #476238)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 15 Apr 2008 15:54:47 +0200

nufw (2.2.14-2) unstable; urgency=low

  * Rebuild for python transition (Closes: #476173)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 15 Apr 2008 09:16:45 +0200

nufw (2.2.14-1) unstable; urgency=low

  * New upstream release
  * Debian directory is now separated from upstream

 -- Pierre Chifflier <pollux@debian.org>  Tue, 08 Apr 2008 15:15:58 +0200

nufw (2.2.13-2) unstable; urgency=low

  * Backport patch from upstream to fix build (error with inline functions)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 03 Apr 2008 11:50:15 +0200

nufw (2.2.13-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 02 Apr 2008 12:12:11 +0200

nufw (2.2.11-2) unstable; urgency=low

  * Fix bashism in NuFW init script (Closes: #465013)
  * Fix spelling in control (mysql -> MySQL)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 10 Feb 2008 18:22:09 +0100

nufw (2.2.11-1) unstable; urgency=low

  * New upstream release
  * Bump standards version


