=== debian/control ===
Source: nufw
Section: net
Priority: optional
XS-Python-Version: all
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 9.0), po-debconf, automake,
               dh-autoreconf,
               libldap2-dev, libglib2.0-dev,
               libmysqlclient-dev | libmysqlclient15-dev,
               libpq-dev,
               iptables-dev,
               libtool,
               libgnutls-dev, libsasl2-dev,
               libpam0g-dev,
               libprelude-dev,
               libnetfilter-conntrack-dev, libnetfilter-queue-dev, libnfnetlink-dev,
               python-support (>= 0.4), python-dev,
               pkg-config,
               flex, bison,
               chrpath
Standards-Version: 3.9.4
Homepage: http://www.nufw.org/-English-.html

Package: nufw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnussl1 (= ${binary:Version}), debconf (>= 1.3.22), ucf, ssl-cert, openssl
Suggests: ulogd, ulogd-mysql
Description: The authenticating firewall [NFQUEUE daemon]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 NuFW can:
  * Act as a traditional firewall
  * Add user identity to the list of parameters used to write firewall rules
  * Authenticate any connection or protocol
  * Perform accounting, routing and quality of service based on users
  * Filter packets with criteria such as application and OS
  * Log all traffic in SQL with username and application information
  * Be the key of a secure and simple Single Sign On system.
 .
 This package provides the daemon receiving packets through the NFQUEUE
 netfilter rule. Information about those packets are forwarded to the
 nuauth daemon, which decides if packets should be accepted or denied,
 sends back the information to Nufw that applies decisions.

Package: nuauth
Architecture: any
Pre-Depends: passwd, adduser
Depends: ${shlibs:Depends},
    ${misc:Depends},
    libnussl1 (= ${binary:Version}),
    debconf (>= 1.3.22),
    ucf,
    libsasl2-modules,
    ssl-cert,
    openssl
Recommends: nuauth-utils
Description: The authenticating firewall [authentication daemon]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 NuFW can:
  * Act as a traditional firewall
  * Add user identity to the list of parameters used to write firewall rules
  * Authenticate any connection or protocol
  * Perform accounting, routing and quality of service based on users
  * Filter packets with criteria such as application and OS
  * Log all traffic in SQL with username and application information
  * Be the key of a secure and simple Single Sign On system.
 .
 This package provides the authentication daemon, which uses a user database
 (though PAM modules) and an ACL database (which can be a LDAP directory,
 or XML/DBM files, etc.).
 Nuauth handles both client authentication, taking decisions on requests
 sent by the nufw daemon to accept packets or not, and sending decision
 to the nufw daemon.

Package: nuauth-extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nuauth
Recommends: nuauth-utils
Description: The authenticating firewall [extra modules]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 Nuauth-extra provides extra modules for nuauth, such as the ipauth_guest
 and auth_mysql modules.

Package: nuauth-log-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nuauth
Recommends: nuauth-utils
Description: The authenticating firewall [MySQL log module]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This package adds support for nuauth logging users activity into a MySQL
 database. You can use this for an SSO solution, too.

Package: nuauth-log-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nuauth
Recommends: nuauth-utils
Description: The authenticating firewall [PostgreSQL log module]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This package adds support for nuauth logging users activity into a PostgreSQL
 database. You can use this for an SSO solution, too.

Package: nutcpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnuclient4 (= ${binary:Version})
Description: The authenticating firewall [client]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 nutcpc is a console-mode client for the NUFW authenticating firewall.
 It is in charge of authenticating the user, and replying to nuauth requests
 to send information on network connections.

Package: nuauth-utils
Architecture: all
Depends: ${shlibs:Depends},
    ${python:Depends},
    ${misc:Depends},
    python-ipy,
    perl,
    libnet-ldap-perl,
    nuauth
XB-Python-Version: ${python:Versions}
Description: The authenticating firewall [tools for admin]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 nuaclgen is a perl script that helps generate LDAP ACLs for use with nuauth,
 the nufw authentication daemon. nuauth_command is a Python script to control
 the nuauth daemon.

Package: libnuclient4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules, libnussl1 (= ${binary:Version})
Replaces: libnuclient
Conflicts: libnuclient
Description: The authenticating firewall [client library]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This library provides the library for nufw clients.

Package: libnuclient-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-dev, libssl-dev, libnuclient4 (= ${binary:Version})
Section: libdevel
Description: The authenticating firewall [client development files]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This library provides files needed to develop a NuFW client.

Package: libpam-nufw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnuclient4 (= ${binary:Version})
Section: admin
Description: The authenticating firewall [PAM module]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This package contains a PAM module to transparently authenticate to the NuFW
 authentication daemon. It uses the login and password to start a NuFW client,
 for the duration of the session.

Package: libnussl1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The authenticating firewall [SSL library]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This library provides an abstraction layer over SSL functions.

Package: libnussl-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-dev, libssl-dev, libnussl1 (= ${binary:Version})
Section: libdevel
Description: The authenticating firewall [SSL development files]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This library provides the files needed to develop an application
 using nussl.
